Package com.tibco.patterns.grouping

## Class CsvInputOptions

- java.lang.Object
- - com.tibco.patterns.grouping.CsvInputOptions

-     public class CsvInputOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CsvKeyHandling` | `pair_key_handling` | Determines handling of pair keys from the file.
    `java.lang.Integer` | `pair_key_index` | The column in the csv file which contains the pair keys.
    `int` | `record_key_1_index` | The column in the csv file which contains the first record key.
    `int` | `record_key_2_index` | The column in the csv file which contains the second record key.
    `CsvKeyHandling` | `record_key_handling` | Determines handling of record keys from the file.
    `int` | `score_index` | The column in the csv file which contains the pair score.
    `int` | `skip_lines` | Number of lines to skip at the start of the csv file.
    `boolean` | `skip_self_matches` | Indicates whether to skip self-match pairs (pairs where the two record keys are identical).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CsvInputOptions​(int record_key_1_index, int record_key_2_index, int score_index)` | Constructs a CsvInputOptions object with the minimum required options.
    `CsvInputOptions​(int pair_key_index, int record_key_1_index, int record_key_2_index, int score_index)` | Constructs a CsvInputOptions object with just column index options.
    `CsvInputOptions​(CsvInputOptions from)` | Copy constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### skip_self_matches

          public boolean skip_self_matches

      Indicates whether to skip self-match pairs (pairs where the two record keys are identical). Default is true.

    - #### skip_lines

          public int skip_lines

      Number of lines to skip at the start of the csv file. Default is 0. Set this if, for example, the file has a column header line.

    - #### record_key_1_index

          public int record_key_1_index

      The column in the csv file which contains the first record key. Zero-based.

    - #### record_key_2_index

          public int record_key_2_index

      The column in the csv file which contains the second record key. Zero-based.

    - #### score_index

          public int score_index

      The column in the csv file which contains the pair score. Zero-based.

    - #### pair_key_index

          public java.lang.Integer pair_key_index

      The column in the csv file which contains the pair keys. Optional. If null, pair keys will be generated. Zero-based.

    - #### pair_key_handling

          public CsvKeyHandling pair_key_handling

      Determines handling of pair keys from the file. Ignored if `pair_key_index` is null.

    - #### record_key_handling

          public CsvKeyHandling record_key_handling

      Determines handling of record keys from the file. Must be `MapInteger` if external link counts will be used.

  - ### Constructor Detail

    - #### CsvInputOptions

          public CsvInputOptions​(int record_key_1_index,
                                 int record_key_2_index,
                                 int score_index)

      Constructs a CsvInputOptions object with the minimum required options.
      Parameters:
        `record_key_1_index` - The column in the csv file which contains the first record key. Zero-based.
        `record_key_2_index` - The column in the csv file which contains the second record key. Zero-based.
        `score_index` - The column in the csv file which contains the pair score. Zero-based.

    - #### CsvInputOptions

          public CsvInputOptions​(int pair_key_index,
                                 int record_key_1_index,
                                 int record_key_2_index,
                                 int score_index)

      Constructs a CsvInputOptions object with just column index options.
      Parameters:
        `pair_key_index` - The column in the csv file which contains the pair keys. Optional. If null, pair keys will be generated. Zero-based.
        `record_key_1_index` - The column in the csv file which contains the first record key. Zero-based.
        `record_key_2_index` - The column in the csv file which contains the second record key. Zero-based.
        `score_index` - The column in the csv file which contains the pair score. Zero-based.

    - #### CsvInputOptions

          public CsvInputOptions​(CsvInputOptions from)

      Copy constructor
      Parameters:
        `from` - CsvInputOptions object to copy settings from.